global enter"\\micro.intra\projekt\P0523$\P0523_Gem\DG_Income_Mental_Health\Data"
global masterdir "\\micro.intra\projekt\P0523$\P0523_Gem\DG_Income_Mental_Health"


use "$enter\spouse1.dta", clear
global controls age_t highschool college stem immigrant birth sick divorce_event faminc



/////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////Figure A.1////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////


binscatter count bin, xtitle("Share Wifes Earnings", height (5) size(medlarge)) xlabel(, labsize(medlarge)) ytitle("Frequency", height (5) size(medlarge)) ylabel(0(1000)3000, labsize(medlarge)) graphregion(color(white)) n(1000) rd(0.5) line(none) color(gray)
graph export density.pdf, replace



/////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////Figure A.2////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////

binscatter age_t newshare if newshare>0.35 & newshare<0.65, xtitle("") ytitle("Age at Marriage", height (5) size(medlarge)) graphregion(color(white)) nquantiles(50) colors(gray) rd(0.5) lcolor(black) name(g1)

binscatter immigrant newshare if newshare>0.35 & newshare<0.65, xtitle("") ytitle("Foreign-Born", height (5) size(medlarge)) graphregion(color(white)) nquantiles(50) colors(gray) rd(0.5) lcolor(black) name(g2)

binscatter birth newshare if newshare>0.35 & newshare<0.65, xtitle("") ytitle("Kids at Marriage", height (5) size(medlarge)) graphregion(color(white)) nquantiles(50) colors(gray) rd(0.5) lcolor(black) name(g3)

binscatter sick newshare if newshare>0.35 & newshare<0.65, xtitle("") ytitle("Sick Benefits", height (5) size(medlarge)) graphregion(color(white)) nquantiles(50) colors(gray) rd(0.5) lcolor(black) name(g4)

binscatter hindex newshare if newshare>0.35 & newshare<0.65, xtitle("") ytitle("Somatic Diagnoses", height (5) size(medlarge)) graphregion(color(white)) nquantiles(50) colors(gray) rd(0.5) lcolor(black) name(g5)

binscatter mental_max newshare if newshare>0.35 & newshare<0.65, xtitle("") xlabel(, labsize(medlarge)) ytitle("Prior Mental Health", height (5) size(medlarge)) graphregion(color(white)) nquantiles(50) colors(gray) rd(0.5) lcolor(black) name(g6)

binscatter highschool newshare if newshare>0.35 & newshare<0.65, xtitle("") ytitle("High School Degree", height (5) size(medlarge)) graphregion(color(white)) nquantiles(50) colors(gray) rd(0.5) lcolor(black) name(g7)

binscatter college newshare if newshare>0.35 & newshare<0.65, xtitle("") ytitle("College Degree", height (5) size(medlarge)) graphregion(color(white)) nquantiles(50) colors(gray) rd(0.5) lcolor(black) name(g8)

binscatter stem newshare if newshare>0.35 & newshare<0.65, xtitle("") ytitle("STEM Degree", height (5) size(medlarge)) graphregion(color(white)) ylabel(0(0.02)0.08, labsize(medlarge)) nquantiles(50) colors(gray) rd(0.5) lcolor(black) name(g9)

g lnfam = log(faminc+1)

binscatter lnfam newshare if newshare>0.35 & newshare<0.65, xtitle("") ytitle("Family Income", height (5) size(medlarge)) graphregion(color(white)) nquantiles(50) colors(gray) rd(0.5) lcolor(black) name(g10)



graph combine g1 g2 g3 g4 g5 g6 g7 g8 g9 g10, graphregion(color(white))
graph export balance.pdf, replace





///////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////// Figure A.3 //////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////

preserve
keep if newshare>0.35 & newshare<0.65

est clear

forval i = 0.001(0.001)0.015{
eststo: reghdfe mental_new above $controls if newshare<0.5-`i' | newshare>0.5+`i', absorb(id##c.year) cluster(roundshare) keepsingletons
}

esttab est* using donut.txt, keep(above) b(3) ci(3) replace


use "$enter\donut.dta", clear // Manually entered from .txt document above

twoway line est ci_low ci_upp size, ytitle("Effect Size", height (5) size(medlarge)) xtitle("Donut Size", height (5) size(medlarge)) graphregion(color(white)) lpattern(solid dash dash) lcolor(gs6 gs6 gs6) legend(order(1 2) label(1 "Estimate Size") label(2 "CI"))
graph export donut.pdf, replace


restore

///////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////// Figure A.4 //////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////

use "$enter\spouse1.dta", clear

est clear


forval i = 0.001(0.001)0.015{
eststo: reghdfe mental_new above $controls if newshare<0.5-`i' | newshare>0.5, absorb(id##c.year) cluster(roundshare) keepsingletons
}

esttab est* using donut1.txt, keep(above) b(3) ci(3) replace

use "$enter\donut1.dta", clear // Manually entered from .txt document above


twoway line est ci_low ci_upp size, ytitle("Effect Size", height (5) size(medlarge)) xtitle("Donut Size", height (5) size(medlarge)) graphregion(color(white)) lpattern(solid dash dash) lcolor(gs6 gs6 gs6) legend(order(1 2) label(1 "Estimate Size") label(2 "CI"))
graph export donut1.pdf, replace




///////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////// Figure A.5 //////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////

use "$enter\spouse1.dta", clear


est clear


forval i = 0.35(0.01)0.65{
	
	g above_new = newshare>`i'
	
eststo: reghdfe mental_new above_new newshare $controls if newshare>`i'-0.15 & newshare<`i'+0.15, absorb(id##c.year) cluster(roundshare) keepsingletons

drop above_new
}

esttab est* using false.txt, b(3) ci(3) replace


use "$enter\false2.dta", clear // Manually entered from .txt document above


twoway line est ci_low ci_upp size if size>0.34 & size<0.66, ytitle("Effect Size", height (5) size(medlarge)) xtitle("Cut-Off", height (5) size(medlarge)) xlabel(0.35(0.05)0.65,labsize(medlarge)) graphregion(color(white)) lpattern(solid dash dash) lcolor(gs6 gs6 gs6) legend(order(1 2) label(1 "Estimate Size") label(2 "CI")) xline(0.5, lpattern(solid)) yline(0, lcolor(red) lpattern(solid))

graph export false.pdf, replace







///////////////////////////////////////////////////////////////////////////////
///////////////////////////// Table A.1 ///////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////	

use "$enter\spouse1.dta", clear
drop if ttj_own == ttj_spouse & ttj_own != 0 

g lnfam = log(faminc+1)
keep if year == 2001

merge m:1 id using "$enter\hindex.dta"
drop if _merge ==2 
replace hindex = 0 if _merge == 1
drop _merge


est clear

sum age_t
local age_avg = round(r(mean),0.01) 

eststo: reg age_t above newshare if newshare>0.35 & newshare<0.65, cluster(roundshare)
esttab using balance.tex, replace ///
		b(2) se nodepvars noomitted nonotes noobs fragment nomtitles booktabs label ///
	prehead("\textbf{Dependent variable:} \\") ///
	posthead ("\midrule \addlinespace") ///
	postfoot ("") ///
	star(* 0.10 ** 0.05 *** 0.01) ///
	keep (above) coeflabels (above "Age (`age_avg')") ///
	stats(N,fmt(%9.0gc)  labels("Observations")) 


foreach var in highschool college stem immigrant birth mental_max hindex sick lnfam {

est clear

sum `var'
local `var'_avg = round(r(mean),0.01) 
		
eststo: reg `var' above newshare if newshare>0.35 & newshare<0.65, cluster(roundshare)
esttab using balance.tex, append ///
		b(2) se nodepvars noomitted nonotes nonum noobs fragment nomtitles booktabs label ///
	posthead ("\addlinespace") ///
	postfoot ("") ///
	star(* 0.10 ** 0.05 *** 0.01) ///
	keep (above) coeflabels (above "`var' (``var'_avg')")
}





///////////////////////////////////////////////////////////////////////////////
///////////////////////////// Table A.2 ///////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////	

use "$enter\spouse1.dta", clear
drop if ttj_own == ttj_spouse & ttj_own != 0 /// Drop identical earners

est clear

sum ret_new 
local ret_avg = round(r(mean),0.01) 

eststo: reghdfe ret_new above newshare $controls if newshare>0.35 & newshare<0.65, absorb(id) cluster(roundshare) keepsingletons
eststo: reghdfe ret_new above newshare $controls if newshare>0.35 & newshare<0.65, absorb(id year) cluster(roundshare) keepsingletons
eststo: reghdfe ret_new above newshare $controls if newshare>0.35 & newshare<0.65, absorb(id##c.year) cluster(roundshare) keepsingletons



esttab using placebodiag.tex, replace ///
		b(2) se nodepvars noomitted nonotes noobs fragment nomtitles booktabs label ///
	prehead("\textbf{Dependent variable:} [0,100] \\") ///
	posthead ("\midrule \addlinespace") ///
	postfoot ("") ///
	star(* 0.10 ** 0.05 *** 0.01) ///
	keep (above) coeflabels (above "Mental Retardation (`ret_avg'\%)") 


	
est clear

sum  organic_new
local  organic_new_avg = round(r(mean),0.01) 

eststo: reghdfe organic_new above newshare $controls if newshare>0.35 & newshare<0.65, absorb(id) cluster(roundshare) keepsingletons
estadd local controls "X"
estadd local id "X"

eststo: reghdfe organic_new above newshare $controls if newshare>0.35 & newshare<0.65, absorb(id year) cluster(roundshare) keepsingletons
estadd local controls "X"
estadd local id "X"
estadd local year "X"

eststo: reghdfe organic_new above newshare $controls if newshare>0.35 & newshare<0.65, absorb(id##c.year) cluster(roundshare) keepsingletons
estadd local controls "X"
estadd local id "X"
estadd local year "X"
estadd local trends "X"

esttab using placebodiag.tex, append ///
		b(2) se nonum nodepvars noomitted nonotes noobs fragment nomtitles booktabs label ///
	posthead ("\addlinespace") ///
	postfoot ("") ///
	keep (above) coeflabels (above "Organic Disorder (`organic_new_avg'\%)") ///
	stats(controls id year trends N, fmt(0 0 0 0 %9.0gc)  labels("Controls" "Individual FE/Trends" "Year FE" "Individual Trends" "\midrule Observations" "Individuals")) 
	




///////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////Figure B.1 //////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////

est clear


forval i = 0.05(0.005)0.2{
eststo: reghdfe mental_new above newshare $controls if newshare>0.5-`i' & newshare<0.5+`i', absorb(id##c.year) cluster(roundshare) keepsingletons
}

esttab est* using bandwidth.txt, b(3) ci(3) replace

use "$enter\bandwidth.dta", clear  // Manually entered from .txt document above


twoway line est ci_low ci_upp size, ytitle("Effect Size", height (5) size(medlarge)) xtitle("Bandwidth Size", height (5) size(medlarge)) graphregion(color(white)) lpattern(solid dash dash) lcolor(gs6 gs6 gs6) legend(order(1 2) label(1 "Estimate Size") label(2 "CI"))
graph export bandwidth.pdf, replace






///////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////// Table B.1 ////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////

use "$enter\spouse1.dta", clear


est clear

sum mental_new
local mental_avg = round(r(mean),0.01) 
 
eststo: reg mental_new above newshare if newshare>0.35 & newshare<0.65, cluster(roundshare)
eststo: reg mental_new above newshare $controls if newshare>0.35 & newshare<0.65, cluster(roundshare)
estadd local controls "X"
eststo: reghdfe mental_new above newshare $controls if newshare>0.35 & newshare<0.65, absorb(id) cluster(roundshare) keepsingletons
estadd local controls "X"
estadd local id "X"
eststo: reghdfe mental_new above newshare $controls if newshare>0.35 & newshare<0.65, absorb(id year) cluster(roundshare) keepsingletons
estadd local controls "X"
estadd local id "X"
estadd local year "X"
eststo: reghdfe mental_new above newshare $controls if newshare>0.35 & newshare<0.65, absorb(id##c.year) cluster(roundshare) keepsingletons
estadd local controls "X"
estadd local id "X"
estadd local year "X"
estadd local trends "X"


esttab using mental_new.tex, replace ///
		b(2) se nodepvars noomitted nonotes noobs fragment nomtitles booktabs label ///
	prehead("&\multicolumn{5}{c}{\textbf{Mental Health Diagnosis} [0,100]} \\ \cmidrule{2-6}") ///
	posthead ("\midrule \addlinespace") ///
	postfoot ("") ///
	star(* 0.10 ** 0.05 *** 0.01) ///
	keep (above) coeflabels (above "\textbf{All} (`mental_avg'\%)") ///
	stats(controls id year trends N r2,fmt(0 0 0 0 %9.0gc 2)  labels("Controls" "Individual FE" "Year FE" "Individual Trends"  "\midrule Observations" "\emph{R}-squared")) 
	


forval i = 0/1 {

est clear

sum mental_new if sex == `i'
local mental_avg_`i' = round(r(mean),0.01) 

eststo: reg mental_new above newshare if newshare>0.35 & newshare<0.65 & sex == `i', cluster(roundshare)
eststo: reg mental_new above newshare $controls if newshare>0.35 & newshare<0.65 & sex == `i', cluster(roundshare)
eststo: reghdfe mental_new above newshare $controls if newshare>0.35 & newshare<0.65 & sex == `i', absorb(id) cluster(roundshare) keepsingletons
eststo: reghdfe mental_new above newshare $controls if newshare>0.35 & newshare<0.65 & sex == `i', absorb(id year) cluster(roundshare) keepsingletons
eststo: reghdfe mental_new above newshare $controls if newshare>0.35 & newshare<0.65 & sex == `i', absorb(id##c.year) cluster(roundshare) keepsingletons

esttab using mental_new.tex, append ///
		b(2) se nonum nodepvars noomitted nonotes noobs fragment nomtitles booktabs label ///
	posthead ("\addlinespace") ///
	postfoot ("") ///
	star(* 0.10 ** 0.05 *** 0.01) ///
	keep (above) coeflabels (above "\textbf{Males} (`mental_avg_`i''\%)") ///
	
}





///////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////// Table B.2 ////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////

use "$enter\spouse1.dta", clear
drop if ttj_own == ttj_spouse & ttj_own != 0 /// Drop identical earners


est clear

sum mental_new
local mental_avg = round(r(mean),0.01) 

eststo: reghdfe mental_new above newshare $controls if newshare>0.35 & newshare<0.65, absorb(id##c.year) cluster(roundshare) keepsingletons
eststo: reghdfe mental_new above newshare $controls share2 if newshare>0.35 & newshare<0.65, absorb(id##c.year) cluster(roundshare) keepsingletons
eststo: reghdfe mental_new above newshare $controls share3 if newshare>0.35 & newshare<0.65, absorb(id##c.year) cluster(roundshare) keepsingletons
eststo: reghdfe mental_new above newshare $controls share4 if newshare>0.35 & newshare<0.65, absorb(id##c.year) cluster(roundshare) keepsingletons
eststo: reghdfe mental_new above newshare $controls share5 if newshare>0.35 & newshare<0.65, absorb(id##c.year) cluster(roundshare) keepsingletons

esttab using polynom.tex, replace ///
		b(2) se nodepvars noomitted nonotes noobs fragment nomtitles booktabs label ///
	prehead("\textbf{Mental Health Diagnosis}[0,100] &\multicolumn{5}{c}{\textbf{Polynomial} [0,100]} \\ \cmidrule{2-6}") ///
	posthead ("\midrule \addlinespace") ///
	postfoot ("") ///
	star(* 0.10 ** 0.05 *** 0.01) ///
	keep (above) coeflabels (above "\textbf{All} (`mental_avg'\%)") ///
	stats(N r2,fmt(%9.0gc 2)  labels("Observations" "\emph{R}-squared")) 




forval i = 0/1 {

est clear

sum mental_new if sex == `i'
local mental_avg_`i' = round(r(mean),0.01) 


eststo: reghdfe mental_new above newshare $controls if newshare>0.35 & newshare<0.65 & sex == `i', absorb(id##c.year) cluster(roundshare) keepsingletons
eststo: reghdfe mental_new above newshare $controls share2 if newshare>0.35 & newshare<0.65 & sex == `i', absorb(id##c.year) cluster(roundshare) keepsingletons
eststo: reghdfe mental_new above newshare $controls share3 if newshare>0.35 & newshare<0.65 & sex == `i', absorb(id##c.year) cluster(roundshare) keepsingletons
eststo: reghdfe mental_new above newshare $controls share4 if newshare>0.35 & newshare<0.65 & sex == `i', absorb(id##c.year) cluster(roundshare) keepsingletons
eststo: reghdfe mental_new above newshare $controls share5 if newshare>0.35 & newshare<0.65 & sex == `i', absorb(id##c.year) cluster(roundshare) keepsingletons


esttab using polynom.tex, append ///
		b(2) se nonum nodepvars noomitted nonotes noobs fragment nomtitles booktabs label ///
	posthead ("\addlinespace") ///
	postfoot ("") ///
	star(* 0.10 ** 0.05 *** 0.01) ///
	keep (above) coeflabels (above "\textbf{Males} (`mental_avg_`i''\%)") ///
	
}



///////////////////////////////////////////////////////////////////////////////////////
/////////////////////////// Table C.1 /////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////



xtile newbins = ttj_own, nq(5)

forval i = 1/5 {
	g bin`i' = newbins == `i'	
}


est clear

sum ttj_own if newbins == 1
local tlont30_min_1 = round(r(min), 1)
local tlont30_max_1 = round(r(max), 1) 


eststo: reghdfe mental_new above newshare $controls if sex == 0 & bin1 == 1, absorb(id year)cluster(roundshare)
eststo: reghdfe mental_new above newshare $controls if sex == 1 & bin1 == 1, absorb(id year)cluster(roundshare)

esttab using bins.tex, replace ///
		b(3) extracols(1) se nodepvars noomitted nonotes noobs fragment nomtitles booktabs label ///
	prehead("\textbf{Income Quintile:} &&\textbf{Male}&\textbf{Female} \\ \cmidrule{3-4}") ///
	posthead ("\midrule \addlinespace") ///
	postfoot ("") ///
	star(* 0.10 ** 0.05 *** 0.01) ///
	keep (above) coeflabels (above "\textbf{Quintile 1} (`tlont30_min_1' - `tlont30_max_1')")
	
	

forval i = 2/5 {
	
est clear

sum ttj_own if newbins == `i'
local tlont30_min_`i' = round(r(min), 1)
local tlont30_max_`i' = round(r(max), 1) 


eststo: reghdfe mental_new above newshare $controls if sex == 0 & bin`i' == 1, absorb(id year)cluster(roundshare)
eststo: reghdfe mental_new above newshare $controls if sex == 1 & bin`i' == 1, absorb(id year)cluster(roundshare)


esttab using bins.tex, append ///
		b(3) se extracols(1) nodepvars noomitted nonotes nonum noobs fragment nomtitles booktabs label ///
	posthead ("\addlinespace") ///
	postfoot ("") ///
	star(* 0.10 ** 0.05 *** 0.01) ///
	keep (above) coeflabels (above "\textbf{Quintile `i'} (`tlont30_min_`i'' - `tlont30_max_`i'')")

}






///////////////////////////////////////////////////////////////////////////////////////
/////////////////////////// Table C.2 /////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////


est clear


forval i = 0/1 {

eststo: reghdfe mental_new above newshare $controls if sex == `i' & age_t<30 & newshare>0.35 & newshare<0.65, absorb(id##c.year) cluster(roundshare)

}

esttab using age.tex, replace ///
		b(2) extracols(1) se nodepvars noomitted nonum nonotes noobs fragment nomtitles booktabs label ///
	prehead("\textbf{Age Group:} &&\textbf{Male}&\textbf{Female} \\ \cmidrule{3-4}") ///
	posthead ("\midrule \addlinespace") ///
	postfoot ("") ///
	star(* 0.10 ** 0.05 *** 0.01) ///
	keep (above) coeflabels (above "Under 30") ///
	

est clear

forval i = 0/1{
	
eststo: reghdfe mental_new above newshare $controls if age_t>=30 & age_t<40 & sex == `i', absorb(id##c.year) cluster(roundshare) 

}

esttab using age.tex, append ///
		b(2) se extracols(1) nodepvars noomitted nonotes nonum noobs fragment nomtitles booktabs label ///
	posthead ("\addlinespace") ///
	postfoot ("") ///
	star(* 0.10 ** 0.05 *** 0.01) ///
	keep (above) coeflabels (above "30-40")
	
	
est clear

forval i = 0/1{
	
eststo: reghdfe mental_new above newshare $controls if age_t>=40 & age_t<50 & sex == `i', absorb(id##c.year) cluster(roundshare) 

}


esttab using age.tex, append ///
		b(2) se extracols(1) nodepvars noomitted nonotes nonum noobs fragment nomtitles booktabs label ///
	posthead ("\addlinespace") ///
	postfoot ("") ///
	star(* 0.10 ** 0.05 *** 0.01) ///
	keep (above) coeflabels (above "40-50")
	

est clear

forval i = 0/1{
	
eststo: reghdfe mental_new above newshare $controls if age_t>=50 & age_t<64 & sex == `i', absorb(id##c.year) cluster(roundshare) 

}


esttab using age.tex, append ///
		b(2) se extracols(1) nodepvars noomitted nonotes nonum noobs fragment nomtitles booktabs label ///
	posthead ("\addlinespace") ///
	postfoot ("") ///
	star(* 0.10 ** 0.05 *** 0.01) ///
	keep (above) coeflabels (above "50-64")






///////////////////////////////////////////////////////////////////////////////////////
/////////////////////////// Table C.3 /////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////


use "$enter\spouse1.dta", clear
drop if ttj_own == ttj_spouse & ttj_own != 0 

bysort mun year: g count_n = _N
g largemun = count_n>469 // Above median-sized municipality
g smallmun = count_n<470 // Below median-sized municipality

drop count_n

g nobirth = birth == 0 // No children in given year
g nounemp = unemp == 0 // No unemployment benefits in given year
g nocollege = college == 0 // No college degree


est clear

forval i = 0/1{
	
eststo: reghdfe mental_new above newshare $controls if newshare>0.35 & newshare<0.65 & sex == `i', absorb(id##c.year) cluster(roundshare) keepsingletons
}


esttab using educ.tex, replace ///
		b(2) se nodepvars noomitted nonum nonotes noobs fragment nomtitles booktabs label ///
	prehead("\textbf{Mental Health Diagnosis} [0,100] &\textbf{Male}&\textbf{Female}\\ \cmidrule{2-3}") ///
	posthead ("\midrule \addlinespace") ///
	postfoot ("") ///
	star(* 0.10 ** 0.05 *** 0.01) ///
	keep (above) coeflabels (above "Everyone") ///
	

	
foreach var in nobirth nounemp largemun smallmun college nocollege {
	
	est clear
	
sum `var'
local `var'_avg = round(r(mean),0.01) 
	
	forval i = 0/1{

eststo: reghdfe mental_new above newshare $controls if `var' == 1 & newshare>0.35 & newshare<0.65 & sex == `i', absorb(id##c.year) cluster(roundshare) keepsingletons
}


esttab using educ.tex, append ///
		b(2) se nodepvars noomitted nonotes nonum noobs fragment nomtitles booktabs label ///
	posthead ("\addlinespace") ///
	postfoot ("") ///
	star(* 0.10 ** 0.05 *** 0.01) ///
	keep (above) coeflabels (above "`var' (``var'_avg')")
	
	
}





///////////////////////////////////////////////////////////////////////////////////////
/////////////////////////// Table D.1 /////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////



global controls age_t highschool college stem immigrant birth sick faminc // Drop divorce as control


est clear

sum divorce_event
local divorce_avg = round(r(mean),0.01) 

eststo: reghdfe divorce_event above newshare $controls if newshare>0.35 & newshare<0.65, absorb(id) cluster(roundshare) keepsingletons 
eststo: reghdfe divorce_event above newshare $controls if newshare>0.35 & newshare<0.65, absorb(id year) cluster(roundshare) keepsingletons
eststo: reghdfe divorce_event above newshare $controls if newshare>0.35 & newshare<0.65, absorb(id##c.year) cluster(roundshare) keepsingletons

esttab using divorce.tex, replace ///
		b(3) se nodepvars noomitted nonotes noobs fragment nomtitles booktabs label ///
		prehead("\textbf{Divorce} [0,1]") ///
	posthead ("\midrule \addlinespace") ///
	postfoot ("") ///
	star(* 0.10 ** 0.05 *** 0.01) ///
	keep (above) coeflabels (above "Current Year (`divorce_avg')") ///
	
	
est clear

sum divorce_event2
local divorce_avg2 = round(r(mean),0.01) 

eststo: reghdfe divorce_event2 above newshare $controls if newshare>0.35 & newshare<0.65, absorb(id) cluster(roundshare) keepsingletons 
eststo: reghdfe divorce_event2 above newshare $controls if newshare>0.35 & newshare<0.65, absorb(id year) cluster(roundshare) keepsingletons
eststo: reghdfe divorce_event2 above newshare $controls if newshare>0.35 & newshare<0.65, absorb(id##c.year) cluster(roundshare) keepsingletons
	
esttab using divorce.tex, append ///
		b(3) se nodepvars noomitted nonotes nonum noobs fragment nomtitles booktabs label ///
	posthead ("\midrule \addlinespace") ///
	postfoot ("") ///
	star(* 0.10 ** 0.05 *** 0.01) ///
	keep (above) coeflabels (above "t/t+1 (`divorce_avg2')") ///
	stats(N,fmt(%9.0gc)  labels("Observations")) 
	
	
	
	

///////////////////////////////////////////////////////////////////////////////////////
/////////////////////////// Table D.2 /////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////


use "$enter\spouse1.dta", clear
drop if ttj_own == ttj_spouse & ttj_own != 0 

merge m:1 id year using "$enter\wplace.dta" // Generated in the Wplace do file
drop if _merge == 2

g lnsd = log(sdwage) // Log of standard deviation in wages in workplace


est clear

eststo: reghdfe mental_new above newshare $controls if sharemen != . & newshare>0.35 &newshare <0.65, absorb(id##c.year) cluster(roundshare) keepsingletons
eststo: reghdfe mental_new above newshare $controls if sex == 0  & sharemen != . & newshare>0.35 & newshare<0.65, absorb(id##c.year) cluster(roundshare) keepsingletons
eststo: reghdfe mental_new above newshare $controls if sex == 1  & sharemen != . & newshare>0.35 & newshare<0.65, absorb(id##c.year) cluster(roundshare) keepsingletons


esttab using wplace.tex, replace ///
		b(2) se nodepvars noomitted nonum nonotes noobs fragment nomtitles booktabs label ///
	prehead("\textbf{Mental Health Diagnosis} [0,100] &\textbf{All}&\textbf{Male}&\textbf{Female} \\") ///
	posthead ("\midrule \addlinespace") ///
	postfoot ("") ///
	star(* 0.10 ** 0.05 *** 0.01) ///
	keep (above) coeflabels (above "Wifeshare \textgreater 0.5") ///
	stats(N,fmt(%9.0gc)  labels("\midrule Observations")) 
	

foreach var in sharemen lnsd{
	
est clear

eststo: reghdfe mental_new above##c.`var' newshare $controls if newshare>0.35 &newshare <0.65, absorb(id##c.year) cluster(roundshare) keepsingletons
eststo: reghdfe mental_new above##c.`var' newshare $controls if sex == 0 & newshare>0.35 &newshare <0.65, absorb(id##c.year) cluster(roundshare) keepsingletons
eststo: reghdfe mental_new above##c.`var' newshare $controls if sex == 1 & newshare>0.35 &newshare <0.65, absorb(id##c.year) cluster(roundshare) keepsingletons


esttab using wplace.tex, append ///
		b(2) se nodepvars noomitted nonotes nonum noobs fragment nomtitles booktabs label ///
	posthead ("\addlinespace") ///
	postfoot ("") ///
	star(* 0.10 ** 0.05 *** 0.01) ///
	keep (1.above*`var') 	
}




///////////////////////////////////////////////////////////////////////////////////////
/////////////////////////// Table D.3 /////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////

use "$enter\spouse1.dta", clear

drop if ttj_own == ttj_spouse & ttj_own != 0 
keep if sick == 0

est clear

sum mental_new
local mental_avg = round(r(mean),0.01) 
 
eststo: reg mental_new above newshare if newshare>0.35 & newshare<0.65, cluster(roundshare)
eststo: reg mental_new above newshare $controls if newshare>0.35 & newshare<0.65, cluster(roundshare)
estadd local controls "X"
eststo: reghdfe mental_new above newshare $controls if newshare>0.35 & newshare<0.65, absorb(id) cluster(roundshare) keepsingletons
estadd local controls "X"
estadd local id "X"
eststo: reghdfe mental_new above newshare $controls if newshare>0.35 & newshare<0.65, absorb(id year) cluster(roundshare) keepsingletons
estadd local controls "X"
estadd local id "X"
estadd local year "X"
eststo: reghdfe mental_new above newshare $controls if newshare>0.35 & newshare<0.65, absorb(id##c.year) cluster(roundshare) keepsingletons
estadd local controls "X"
estadd local id "X"
estadd local year "X"
estadd local trends "X"


esttab using sick.tex, replace ///
		b(2) se nodepvars noomitted nonotes noobs fragment nomtitles booktabs label ///
	prehead("&\multicolumn{5}{c}{\textbf{Mental Health Diagnosis} [0,100]} \\ \cmidrule{2-6}") ///
	posthead ("\midrule \addlinespace") ///
	postfoot ("") ///
	star(* 0.10 ** 0.05 *** 0.01) ///
	keep (above) coeflabels (above "\textbf{All} (`mental_avg'\%)") ///
	stats(controls id year trends N r2,fmt(0 0 0 0 %9.0gc 2)  labels("Controls" "Individual FE" "Year FE" "Individual Trends"  "\midrule Observations" "\emph{R}-squared")) 
	


forval i = 0/1 {

est clear

sum mental_new if sex == `i'
local mental_avg_`i' = round(r(mean),0.01) 

eststo: reg mental_new above newshare if newshare>0.35 & newshare<0.65 & sex == `i', cluster(roundshare)
eststo: reg mental_new above newshare $controls if newshare>0.35 & newshare<0.65 & sex == `i', cluster(roundshare)
eststo: reghdfe mental_new above newshare $controls if newshare>0.35 & newshare<0.65 & sex == `i', absorb(id) cluster(roundshare) keepsingletons
eststo: reghdfe mental_new above newshare $controls if newshare>0.35 & newshare<0.65 & sex == `i', absorb(id year) cluster(roundshare) keepsingletons
eststo: reghdfe mental_new above newshare $controls if newshare>0.35 & newshare<0.65 & sex == `i', absorb(id##c.year) cluster(roundshare) keepsingletons

esttab using sick.tex, append ///
		b(2) se nonum nodepvars noomitted nonotes noobs fragment nomtitles booktabs label ///
	posthead ("\addlinespace") ///
	postfoot ("") ///
	star(* 0.10 ** 0.05 *** 0.01) ///
	keep (above) coeflabels (above "\textbf{Males} (`mental_avg_`i''\%)") ///
	
}



///////////////////////////////////////////////////////////////////////////////////////
/////////////////////////// Table D.4 /////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////


use "$enter\spouse1.dta", clear
drop if ttj_own == ttj_spouse & ttj_own != 0 
replace mental_max = 100 if mental_max == 1

est clear

sum mental_new
local mental_avg = round(r(mean),0.01) 

eststo: reghdfe mental_new above newshare $controls if newshare>0.35 & newshare<0.65, absorb(id) cluster(roundshare) keepsingletons 
eststo: reghdfe mental_new above newshare $controls if newshare>0.35 & newshare<0.65, absorb(id year) cluster(roundshare) keepsingletons
eststo: reghdfe mental_new above newshare $controls if newshare>0.35 & newshare<0.65, absorb(id##c.year) cluster(roundshare) keepsingletons

esttab using mental2.tex, replace ///
		b(2) se nodepvars noomitted nonotes noobs fragment nomtitles booktabs label ///
		prehead("\textbf{Mental Health Diagnosis} [0,100]") ///
	posthead ("\addlinespace") ///
	postfoot ("") ///
	star(* 0.10 ** 0.05 *** 0.01) ///
	keep (above) coeflabels (above "Current and Following Year (`mental_avg')") ///
	

foreach var in mental_max mental2 {
	
est clear

sum `var'
local `var'_avg = round(r(mean),0.01) 

eststo: reghdfe `var' above newshare $controls if newshare>0.35 & newshare<0.65, absorb(id) cluster(roundshare) keepsingletons 
eststo: reghdfe `var' above newshare $controls if newshare>0.35 & newshare<0.65, absorb(id year) cluster(roundshare) keepsingletons
eststo: reghdfe `var' above newshare $controls if newshare>0.35 & newshare<0.65, absorb(id##c.year) cluster(roundshare) keepsingletons
	
esttab using mental2.tex, append ///
		b(2) se nodepvars noomitted nonotes nonum noobs fragment nomtitles booktabs label ///
	posthead ("\addlinespace") ///
	postfoot ("") ///
	star(* 0.10 ** 0.05 *** 0.01) ///
	keep (above) coeflabels (above "Current Year (``var'_avg')")

}
	
	
////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////t+2/t+3//////////////////////////////////////////////////

use "$enter\spouse1.dta", clear // Apending diagnoses in years t+2/t+3
g year_diag = year+2

duplicates drop id year_diag, force

merge 1:m id year_diag using "$enter\outpat1.dta"
drop if _merge == 2

replace mental = 0 if _merge == 1
drop _merge
bysort id year_diag: egen mental_max2 = max(mental)

bysort id year_diag: g count_n = _n
drop if count_n>1
drop mental - organic
drop count_n

drop year_diag
g year_diag = year+3

duplicates drop id year_diag, force

merge 1:m id year_diag using "$enter\outpat1.dta"
drop if _merge == 2

replace mental = 0 if _merge == 1
drop _merge
bysort id year_diag: egen mental_max3 = max(mental)

bysort id year_diag: g count_n = _n
drop if count_n>1
drop mental - organic
drop count_n

replace mental_max2 = 100 if mental_max2 == 1
replace mental_max3 = 100 if mental_max3 == 1

preserve
drop if year>2009 // Drop cohorts with t+2



forval i = 2/3{
	
est clear

sum mental_max`i'
local mental_avg`i' = round(r(mean),0.01) 

eststo: reghdfe mental_max`i' above newshare $controls if newshare>0.35 & newshare<0.65, absorb(id) cluster(roundshare) keepsingletons 
eststo: reghdfe mental_max`i' above newshare $controls if newshare>0.35 & newshare<0.65, absorb(id year) cluster(roundshare) keepsingletons
eststo: reghdfe mental_max`i' above newshare $controls if newshare>0.35 & newshare<0.65, absorb(id##c.year) cluster(roundshare) keepsingletons

esttab using mental2.tex, append ///
		b(2) se nodepvars noomitted nonotes noobs fragment nomtitles booktabs label ///
	posthead ("\addlinespace") ///
	postfoot ("") ///
	star(* 0.10 ** 0.05 *** 0.01) ///
	keep (above) coeflabels (above "Year t+`i' (`mental_avg`i'')") ///
	
}


	





