global enter"\\micro.intra\projekt\P0523$\P0523_Gem\DG_Income_Mental_Health\Data"
global masterdir "\\micro.intra\projekt\P0523$\P0523_Gem\DG_Income_Mental_Health"


//////////////////////////////////////////////////////////////////////////
/////////////////// Mental Health Diagnoses //////////////////////////////
//////////////////////////////////////////////////////////////////////////


use "$masterdir\Raw Data\ID_OUTPAT0105.dta", clear // Outpatient
append using "$masterdir\Raw Data\ID_OUTPAT0607.dta"
append using "$masterdir\Raw Data\ID_OUTPAT08.dta"
append using "$masterdir\Raw Data\ID_OUTPAT09.dta"
append using "$masterdir\Raw Data\ID_OUTPAT10.dta"
append using "$masterdir\Raw Data\ID_OUTPAT1112.dta"
keep year date external_cause1 id main_diagnosis

ren main_diagnosis diag
ren year year_diag
g month = month(date)
g diag1 = substr(diag,1,1)
g diag2 = substr(diag,1,2)
g ext = substr(external_cause1,1,2)
g ext3 = substr(external_cause1,1,3)


g mental = diag1 == "F" // Designating main diagnostic categories (according to WHO)
g mood = diag2 == "F3"
g substance = diag2 == "F1"
g neurotic = diag2 == "F4"
g child = diag2 == "F9"
g behav = diag2 == "F5"
g psych = diag2 == "F8"
g schiz = diag2 == "F2"
g adult = diag2 == "F6"
g organic = diag2 == "F0"
g ret = diag2 == "F7"

g selfharm = ext == "X6" | ext == "X7" | ext3 == "X80" | ext == "X81" | ext3 == "X82" | ext3 == "X83" | ext3 == "X84"

keep if mental == 1 | selfharm == 1

keep id month year_diag mental - selfharm
save "$enter\outpat.dta", replace



use "$masterdir\Raw Data\ID_INPAT9612.dta", clear // Inpatient

keep date_checkin external_cause1 id main_diagnosis

ren main_diagnosis diag
g year_diag = year(date_checkin)
g diag1 = substr(diag,1,1)
g diag2 = substr(diag,1,2)
g ext = substr(external_cause1,1,2)
g ext3 = substr(external_cause1,1,3)

g mental = diag1 == "F"
g mood = diag2 == "F3"
g substance = diag2 == "F1"
g neurotic = diag2 == "F4"
g child = diag2 == "F9"
g behav = diag2 == "F5"
g psych = diag2 == "F8"
g schiz = diag2 == "F2"
g adult = diag2 == "F6"
g organic = diag2 == "F0"

g selfharm = ext == "X6" | ext == "X7" | ext3 == "X80" | ext == "X81" | ext3 == "X82" | ext3 == "X83" | ext3 == "X84"


keep if mental == 1 | selfharm == 1 

keep id year_diag mental - selfharm
save "$enter\inpat.dta", replace


use "$enter\outpat.dta", clear
append using "$enter\inpat.dta" // Join inpatient and outpatient 
save "$enter\outpat1.dta", replace
erase "$enter\outpat.dta"




///////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////Health Index///////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////	
	
	
use "$masterdir\Raw Data\ID_OUTPAT0105.dta", clear // Append prior diagnoses
keep year date id main_diagnosis

keep if year == 2001
g month = month(date)
keep if month<7 // Diagnoses in first half of year

ren main_diagnosis diag
g diag1 = substr(diag,1,1)	
g health = diag1 != "F"

bysort id: egen hindex = total(health)
bysort id: g count_n = _n

keep if count_n == 1
keep id hindex

save "$enter\hindex.dta", replace

