global enter"\\micro.intra\projekt\P0523$\P0523_Gem\DG_Income_Mental_Health\Data"
global masterdir "\\micro.intra\projekt\P0523$\P0523_Gem\DG_Income_Mental_Health"




////////////////////////////////////////////////////////////////////////
/////////////////////////General Information////////////////////////////
////////////////////////////////////////////////////////////////////////


use "$masterdir\Raw Data\ID_RTB00.dta", clear


forval i = 89/99 {
	append using "$masterdir\Raw Data\ID_RTB`i'.dta"
}

forval i = 1/9 {
	append using "$masterdir\Raw Data\ID_RTB0`i'.dta"
}
forval i = 10/11 {
	append using "$masterdir\Raw Data\ID_RTB`i'.dta"
}

g year = year(date)
keep id municipality id_spouse year civilstatus
ren municipality mun


bysort id: egen yearmar = min(year) if id_spouse != . // min year of marriage

merge m:1 id using "$enter\ID_TCC_adj.dta" // Merge gender and year of birth
keep if _merge == 3
drop _merge

g age_t = year-byear

duplicates drop id year, force

save "$enter\Family1.dta", replace 



////////////////////////////////////////////////////////////////////////
///////////////////////////Fertility////////////////////////////////////
////////////////////////////////////////////////////////////////////////


odbc load, exec("select * from Barn") dsn ("P0523_LU_Karriarutfall") clear  // Separately append fertility data from the Intergenerational register
ren PersonNr_LopNr id
ren Barn_LopNr id_child
g yearkid = substr(FodelseArMan,1,4)
g monthkid = substr(FodelseArMan,5,6)
destring yearkid, replace
destring monthkid, replace
drop FodelseArMan
g kidadopted = Typ == "Ado"
drop Typ
destring Kon, replace
g kidsex = Kon - 1
drop Kon

save "$enter\fertility2.dta", replace
