global enter"\\micro.intra\projekt\P0523$\P0523_Gem\DG_Income_Mental_Health\Data"
global masterdir "\\micro.intra\projekt\P0523$\P0523_Gem\DG_Income_Mental_Health"


use "$masterdir\Raw Data\ID_WPLACE01.dta", clear
drop if startdate == stopdate
keep id ast_kv ast_men ast_menegymnl ast_kvegymnl startdate stopdate wplace_id
g year = 2001
g monthstart = month(startdate)
g monthend = month(stopdate)
drop if monthstart != 1 | monthend !=12 // Drop those with a temporary job in the year
drop startdate stopdate monthstart monthend
	
save "$enter\wplace.dta", replace


forval i = 2/9{
	
	use "$masterdir\Raw Data\ID_WPLACE0`i'.dta", clear
	drop if startdate == stopdate
	drop if ast_kv == .
	keep id ast_kv ast_men ast_menegymnl ast_kvegymnl startdate stopdate wplace_id
	g year = 200`i'
	g monthstart = month(startdate)
	g monthend = month(stopdate)
	drop if monthstart != 1 & monthend !=12 // Drop those with a temporary job in the year
	drop startdate stopdate monthstart monthend
	
save "$enter\wplace`i'.dta", replace

}


global enter"\\micro.intra\projekt\P0523$\P0523_Gem\DG_Income_Mental_Health\Data"
global masterdir "\\micro.intra\projekt\P0523$\P0523_Gem\DG_Income_Mental_Health"


forval i = 10/11{
	
	use "$masterdir\Raw Data\ID_WPLACE`i'.dta", clear
	drop if startdate == stopdate
	drop if ast_kv == .
	keep id ast_kv ast_men ast_menegymnl ast_kvegymnl startdate stopdate wplace_id
	g year = 20`i'
	g monthstart = month(startdate)
	g monthend = month(stopdate)
	drop if monthstart != 1 & monthend !=12 // Drop those with a temporary job in the year
	drop startdate stopdate monthstart monthend
	
save "$enter\wplace`i'.dta", replace

}


use "$enter\wplace.dta", clear


forval i = 2/11{
	append using "$enter\wplace`i'.dta"
	erase "$enter\wplace`i'.dta"
}

g sharemen = ast_men/(ast_kv+ast_men) // Generate share men in workplace

keep id year sharemen wplace_id
bysort id year: egen maxmen = max(sharemen) // Establish highest male share in year
drop if sharemen != maxmen

merge m:1 id year using "$enter\INC1.dta" // Match income data
drop if _merge == 2
drop _merge tkassa ttj

bysort wplace_id year: egen wplacewage = median(tlont) // Median and SD of wages in workplace
bysort wplace_id year: egen sdwage = sd(tlont)

keep id year sharemen sdwage

duplicates drop id year, force

save "$enter\wplace.dta", replace


